#
# spec file for package compat-openssl098
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           compat-openssl098
BuildRequires:  bc
BuildRequires:  ed
BuildRequires:  zlib-devel
# openssl-fips-objectmodule
%define ssletcdir %{_sysconfdir}/ssl
%define num_version %(echo "%{version}" | sed -e "s+[a-zA-Z]++g; s+_.*++g")
Provides:       ssl
Version:        0.9.8j
Release:        30.1
Requires:       libopenssl0_9_8 = %{version}
PreReq:         libopenssl0_9_8 = %{version}
Summary:        Secure Sockets and Transport Layer Security
License:        OpenSSL
Group:          Productivity/Networking/Security
Url:            http://www.openssl.org/
Source:         http://www.openssl.org/source/openssl-%{version}.tar.gz
Source10:       README.SUSE
Source11:       README-FIPS.txt
Source99:       baselibs.conf
Patch0:         openssl-0.9.8-sparc.dif
Patch1:         openssl-0.9.8-flags-priority.dif
Patch2:         non-exec-stack.diff
Patch3:         openssl-0.9.7f-ppc64.diff
Patch4:         openssl-hppa-config.diff
Patch5:         openssl-0.9.6g-alpha.diff
# http://www-124.ibm.com/developerworks/projects/libica/
#Patch10:      openssl-0.9.7d-ICA_engine-jun142004.patch.bz2
Patch6:         openssl-0.9.8a.ca-app-segfault.bug128655.dif
Patch7:         bswap.diff
Patch8:         fix-pod-number.patch
Patch9:         bswap-s390x-fix.diff
Patch11:        openssl-CVE-2009-0590.patch
Patch12:        openssl-CVE-2009-0591.patch
Patch13:        openssl-CVE-2009-0789.patch
Patch14:        openssl-CVE-2009-1377.patch
Patch15:        openssl-CVE-2009-1378.patch
Patch16:        openssl-CVE-2009-1379.patch
Patch18:        openssl-CVE-2009-1387.patch
Patch20:        openssl-CVE-2009-4355.patch
Patch22:        enable-security-renegotiation.patch
Patch23:        openssl-CVE-2009-3245.patch
Patch24:        openssl-CVE-2010-0740.patch
Patch25:        CVE-2010-2939.patch
Patch27:        CVE-2010-3864.patch
Patch28:        CVE-2010-4180.patch
Patch29:        CVE-2011-0014.patch
Patch30:        ECDSA_signatures_timing_attack.patch
Patch31:        compression_methods_switch.patch
Patch32:        intel-0.9.8.diff
Patch33:        intel-0.9.8-switch.diff
Patch34:        intel-0.9.8-private.diff
Patch35:        openssl-makefile-cc.diff
Patch60:        openssl-fips__0000_fipsmode.diff
Patch61:        openssl-fips__0010_enable_shared_fips_Configure.diff
Patch62:        openssl-fips__0020_rng-seeding.patch
Patch63:        openssl-fips__0040_use_fipscheck_internal.diff
Patch64:        openssl-fips__0045_fipscheck_sha1_sha256.diff
# for x86_64 and x86 only.
Patch65:        openssl-fips__0050_fips_sha_Makefile_CPUID_OBJ.diff
# is deactivated, for debugging purposes only.
Patch66:        openssl-fips__0080_fips_fips_c_OPENSSL_FIPS_DEBUG_FIPSCHECK_DISABLE.diff
# changes the hmac key to ppaksykemnsecgtsttplmamstKMEs
Patch67:        openssl-fips__0090_hmac_key_change.diff
Patch71:        openssl-fips__0100_aes_EVP_CIPH_FLAG_FIPS_-_the_fenzke_code.diff
Patch72:        openssl-fips__0200_CFB1_enable.diff
Patch73:        openssl-fips__0211_cavs_rsa_testvector_path_adoptions.diff
Patch74:        openssl-fips__0212_cavs_dsa_missing_PQGVer.diff
Patch77:        openssl-fips__0220_make_hmac_path_return_value_check.diff
Patch78:        openssl-fips__0222_dsa_pqver_fixes.diff
Patch79:        openssl-fips__0230_sha256_sha512_selftests.diff
Patch80:        CVE-2011-3210.patch
Patch91:        CVE-2011-4108.patch
Patch92:        CVE-2011-4109.patch
Patch93:        CVE-2011-4576.patch
Patch94:        CVE-2011-4619.patch
Patch95:        CVE-2011-4577.patch
Patch96:        CVE-2012-0050.patch
Patch97:        openssl-add_sha256_sha512.diff
Patch98:        Bug748738_Tolerate_bad_MIME_headers.patch
Patch99:        bug749213-Free-headers-after-use.patch
Patch100:       bug749210-Symmetric-crypto-errors-in-PKCS7_decrypt.patch
Patch101:       CVE-2012-1165.patch
Patch102:       CVE-2012-0884.patch
Patch103:       bug749735.patch
Patch104:       CVE-2012-2110.patch
Patch105:       bug-755395_intel-nonexecstack.diff
Patch106:       CVE-2012-2131.patch
Patch107:       aes-x86_64.patch
Patch108:       bug-761324-backport-cms-from-0.9.8x-to-0.9.8j.patch
Patch109:       CVE-2012-2333.patch
Patch110:       openssl-fips__0300_run_selftests_if_hmac_files_present.diff
Patch111:       openssl-CVE-2011-5095.patch
Patch112:       CVE-2013-0166.patch
Patch113:       CVE-2013-0169.patch
Patch114:       bug-860332-cmdline-check-certs.patch
Patch115:       openssl-0.9.8j-c_rehash-with-openssl1.patch
Patch116:       openssl-enable-ecdh.patch
Patch117:       openssl-0.9.8b-ipv6-apps.patch

Patch118:       CVE-2014-0076.patch
Patch119:       CVE-2014-3470.patch
Patch120:       CVE-2014-0221.patch
Patch121:       CVE-2014-0224.patch
Patch122:       prevent_buffer_overread.patch
Patch123:       openssl-CVE-2014-3508.patch
Patch124:       openssl-CVE-2014-3505.patch
Patch125:       openssl-CVE-2014-3506.patch
Patch126:       openssl-CVE-2014-3507.patch
Patch127:       openssl-CVE-2014-3510.patch
Patch128:       openssl-CVE-2014-3566.patch
Patch129:       openssl-CVE-2014-3567.patch
Patch130:       openssl-CVE-2014-3568.patch
# two patches for bnc#892403: properly fix stateless session support
Patch131:       Fix-stateless-session-resumption-so-it-can-coexist-with-SNI.patch
Patch132:       Generate-stateless-session-ID-just-after-the-ticket-is-r.patch
Patch133:       openssl-CVE-2014-3572.patch
Patch134:       openssl-CVE-2014-8275.patch
Patch135:       openssl-CVE-2015-0204.patch
Patch136:       openssl-CVE-2014-3570.patch
Patch137:       openssl-CVE-2014-3571.patch
Patch138:       openssl-CVE-2015-0205.patch
Patch139:       openssl-CVE-2009-5146.patch
Patch140:       openssl-CVE-2015-0209.patch
Patch141:       openssl-CVE-2015-0286.patch
Patch142:       openssl-CVE-2015-0287.patch
Patch143:       openssl-CVE-2015-0288.patch
Patch144:       openssl-CVE-2015-0289.patch
Patch145:       openssl-CVE-2015-0292.patch
Patch146:       openssl-CVE-2015-0293.patch
Patch148:       openssl-RSA_premaster_secret_in_constant_time.patch
Patch149:       openssl-CVE-2015-1788.patch
Patch150:       openssl-CVE-2015-1789.patch
Patch151:       openssl-CVE-2015-1790.patch
Patch152:       openssl-CVE-2015-1791.patch
Patch153:       openssl-CVE-2015-1792.patch
# CVE-2015-4000 fixes (aka Logjam, weakdh.org)
Patch154:       0001-s_server-Use-2048-bit-DH-parameters-by-default.patch
Patch155:       0002-dhparam-set-the-default-to-2048-bits.patch
Patch156:       0003-dhparam-fix-documentation.patch
Patch157:       0004-Update-documentation-with-Diffie-Hellman-best-practi.patch
Patch158:       0005-client-reject-handshakes-with-DH-parameters-1024-bits.patch
Patch159:       openssl-disable_EXPORT_ciphers_by_default.patch
# EO CVE-2015-4000
Patch160:       openssl-fix-ecdh_negotiation_bug.patch
Patch161:       openssl-s_client-check-if-con-null-before-using-it.patch
Patch162:       openssl-CVE-2015-3195.patch
Patch163:       openssl-CVE-2015-3197.patch
Patch164:       openssl-avoid-config-twice.patch
# OpenSSL Security Advisory [1st March 2016]
Patch165:       openssl-CVE-2016-0797.patch
Patch166:       openssl-CVE-2016-0799.patch
Patch167:       openssl-CVE-2016-0800-DROWN-disable-ssl2.patch
# OpenSSL Security Advisory [3rd May 2016]
Patch171:       openssl-CVE-2016-2108.patch
Patch172:       openssl-CVE-2016-2109.patch
Patch173:       openssl-CVE-2016-2105.patch
Patch174:       openssl-CVE-2016-2106.patch
Patch176:       0001-Fix-buffer-overrun-in-ASN1_parse.patch
Patch177:       openssl-CVE-2016-0702.patch
Patch179:       openssl-update-expired-smime-certs.patch
#OpenSSL Security Advisory [22 Sep 2016] (bsc#999665)
Patch180:       openssl-CVE-2016-2177.patch
Patch181:       openssl-CVE-2016-2178.patch
Patch182:       0001-PR-2506.patch
Patch183:       openssl-CVE-2016-2179.patch
Patch184:       openssl-CVE-2016-2181.patch
Patch185:       openssl-CVE-2016-2182.patch
Patch186:       openssl-CVE-2016-2183-SWEET32.patch
Patch187:       openssl-CVE-2016-6303.patch
Patch188:       openssl-CVE-2016-6306.patch
Patch189:       openssl-CVE-2016-6304.patch
Patch190:       openssl-CVE-2016-6302.patch
Patch191:       openssl-print_notice-NULL_crash.patch
Patch192:       openssl-randfile_fread_interrupt.patch
# OpenSSL Security Advisory [26 Jan 2017] (bsc#1021641)
Patch193:       openssl-CVE-2016-8610.patch
Patch194:       openssl-CVE-2016-7056.patch
Patch195:       openssl-no_session_resumption_without_ticket.patch
Patch196:       openssl-fix_crash_in_openssl_speed.patch
Patch197:       openssl-degrade_3DES_to_MEDIUM_in_SSL2.patch
Patch198:       openssl-add_DEFAULT_SUSE_cipher_list.patch
Patch199:       openssl-fix_crash_in_DES.patch
Patch200:       openssl-1.0.1i-trusted-first.patch
Patch201:       openssl-1.0.1i-alt-chains.patch
# OpenSSL Security Advisory [27 Mar 2018]
Patch202:       openssl-CVE-2018-0739.patch
# bsc#1097158
Patch203:       openssl-CVE-2018-0732.patch
# bsc#1097624
Patch204:       0001-Add-blinding-to-a-DSA-signature.patch
# bsc#1098592
Patch205:       0001-Add-blinding-to-an-ECDSA-signature.patch
# OpenSSL Security Advisory [16 Apr 2018]
Patch206:       openssl-CVE-2018-0737.patch
# OpenSSL Security Advisory [30 October 2018]
Patch207:       openssl-One_and_Done.patch
Patch208:       0001-DSA-Address-a-timing-side-channel-whereby-it-is-possible.patch
Patch209:       0002-ECDSA-Address-a-timing-side-channel-whereby-it-is-possible.patch
Patch210:       openssl-CVE-2018-0734.patch
Patch211:       0001-Merge-to-1.0.2-DSA-mod-inverse-fix.patch
Patch212:       0001-Add-a-constant-time-flag-to-one-of-the-bignums-to-av.patch
Patch213:       openssl-CVE-2018-5407-PortSmash.patch
# The 9 Lives of Bleichenbacher's CAT - vulnerability #7739
# https://github.com/openssl/openssl/pull/6889
Patch214:       openssl-Extended-OAEP-support.patch
Patch215:       openssl-rewrite-RSA-padding-checks.patch
Patch216:       openssl-add-computationally-constant-time-bn_bn2binpad.patch
Patch217:       openssl-address-Coverity-nit-in-bn2binpad.patch
Patch218:       openssl-switch-to-BN_bn2binpad.patch
# https://github.com/openssl/openssl/pull/6942
Patch219:       0001-crypto-bn-add-more-fixed-top-routines.patch
Patch220:       0002-rsa-rsa_eay.c-implement-variant-of-Smooth-CRT-RSA.patch
Patch221:       0003-bn-bn_blind.c-use-Montgomery-multiplication-when-pos.patch
Patch222:       0004-bn-bn_lib.c-conceal-even-memmory-access-pattern-in-b.patch
Patch223:       openssl-bn_mul_mont_fixed_top.patch
Patch224:       openssl-bn_mod_add_fixed_top.patch
# https://github.com/openssl/openssl/pull/7737
Patch225:       0005-err-err.c-add-err_clear_last_constant_time.patch
Patch226:       0006-rsa-rsa_eay.c-make-RSAerr-call-in-rsa_ossl_private_d.patch
Patch227:       0007-rsa-rsa_pk1.c-remove-memcpy-calls-from-RSA_padding_c.patch
Patch228:       0008-rsa-rsa_oaep.c-remove-memcpy-calls-from-RSA_padding_.patch
Patch229:       0009-rsa-rsa_ssl.c-make-RSA_padding_check_SSLv23-constant.patch
Patch230:       0001-RT-4242-reject-invalid-EC-point-coordinates.patch
Patch231:       openssl-CVE-2019-1559.patch

# was never built on ppc64le and aarch64, so its not required to be present
ExcludeArch:    aarch64 ppc64le
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The OpenSSL Project is a collaborative effort to develop a robust,
commercial-grade, full-featured, and open source toolkit implementing
the Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS
v1) protocols with full-strength cryptography. The project is managed
by a worldwide community of volunteers that use the Internet to
communicate, plan, and develop the OpenSSL toolkit and its related
documentation.

Derivation and License

OpenSSL is based on the excellent SSLeay library developed by Eric A.
Young and Tim J. Hudson. The OpenSSL toolkit is licensed under an
Apache-style license, which basically means that you are free to get it
and to use it for commercial and noncommercial purposes.

Please read the file /usr/share/doc/packages/openssl/README-FIPS.txt
for information on FIPS-140-2 compliant mode of operation of the
openssl shared libraries.



Authors:
--------
    Mark J. Cox <mark@openssl.org>
    Ralf S. Engelschall <rse@openssl.org>
    Dr. Stephen Henson <steve@openssl.org>
    Ben Laurie <ben@openssl.org>
    Bodo Moeller <bodo@openssl.org>
    Ulf Moeller <ulf@openssl.org>
    Holger Reif <holger@openssl.org>
    Paul C. Sutton <paul@openssl.org>

%package -n libopenssl0_9_8
Summary:        Secure Sockets and Transport Layer Security
Group:          Productivity/Networking/Security
Recommends:     openssl-certs

%description -n libopenssl0_9_8
The OpenSSL Project is a collaborative effort to develop a robust,
commercial-grade, full-featured, and open source toolkit implementing
the Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS
v1) protocols with full-strength cryptography. The project is managed
by a worldwide community of volunteers that use the Internet to
communicate, plan, and develop the OpenSSL toolkit and its related
documentation.

Derivation and License

OpenSSL is based on the excellent SSLeay library developed by Eric A.
Young and Tim J. Hudson. The OpenSSL toolkit is licensed under an
Apache-style license, which basically means that you are free to get it
and to use it for commercial and noncommercial purposes.

Please read the file /usr/share/doc/packages/openssl/README-FIPS.txt
for information on FIPS-140-2 compliant mode of operation of the
openssl shared libraries.

%prep
%setup -q -n openssl-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4
%patch5 -p1
%patch6 -p1
%patch7
%patch9 
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch18 -p1
%patch20 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch27 -p1
%patch28 -p1
%patch8 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch60 -p1
%patch61 -p0
%patch62 -p0
%patch63 -p0
%patch64 -p0
%ifarch x86_64 x86
%patch65 -p0
%endif
#%patch66 -p0
%patch67 -p0
# %patch70 is the temporary disable of the compile-time tests. Uncomment to disable tests:
#%patch70 -p0
%patch71 -p0
%patch72 -p0
%patch73 -p0
%patch74 -p0
%patch77 -p0
%patch78 -p0
%patch79 -p0
%patch80 -p1
%patch91 -p1
%patch92 -p1
%patch93 -p1
%patch94 -p1
%patch95 -p1
%patch96 -p1
%patch97 -p0
%patch98 -p1
%patch99 -p1
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p0
%patch111 -p1
%patch112 -p1
%patch113 -p1
%patch114 -p1
%patch115 -p1
%patch116 -p0
%patch117 -p1
%patch118 -p1
%patch119 -p1
%patch120 -p1
%patch121 -p1
%patch122 -p1
%patch123 -p1
%patch124 -p1
%patch125 -p1
%patch126 -p1
%patch127 -p1
%patch128 -p1
%patch129 -p1
%patch130 -p1
%patch131 -p1
%patch132 -p1
%patch133 -p1
%patch134 -p1
%patch135 -p1
%patch136 -p1
%patch137 -p1
%patch138 -p1
%patch139 -p1
%patch140 -p1
%patch141 -p1
%patch142 -p1
%patch143 -p1
%patch144 -p1
%patch145 -p1
%patch146 -p1
%patch148 -p1
%patch149 -p1
%patch150 -p1
%patch151 -p1
%patch152 -p1
%patch153 -p1
%patch154 -p1
%patch155 -p1
%patch156 -p1
%patch157 -p1
%patch158 -p1
%patch159 -p1
%patch160 -p1
%patch161 -p1
%patch162 -p1
%patch163 -p1
%patch164 -p1
%patch165 -p1
%patch166 -p1
%patch167 -p1
# OpenSSL Security Advisory [3rd May 2016]
%patch171 -p1
%patch172 -p1
%patch173 -p1
%patch174 -p1
%patch176 -p1
%patch177 -p1
%patch179 -p1
#OpenSSL Security Advisory [22 Sep 2016] (bsc#999665)
%patch180 -p1
%patch181 -p1
%patch182 -p1
%patch183 -p1
%patch184 -p1
%patch185 -p1
%patch186 -p1
%patch187 -p1
%patch188 -p1
%patch189 -p1
%patch190 -p1
%patch191 -p1
%patch192 -p1
%patch193 -p1
%patch194 -p1
%patch195 -p1
%patch196 -p1
%patch197 -p1
%patch198 -p1
%patch199 -p1
%patch200 -p1
%patch201 -p1
%patch202 -p1
%patch203 -p1
%patch204 -p1
%patch205 -p1
%patch206 -p1
%patch207 -p1
%patch208 -p1
%patch209 -p1
%patch210 -p1
%patch211 -p1
%patch212 -p1
%patch213 -p1
%patch214 -p1
%patch215 -p1
%patch216 -p1
%patch217 -p1
%patch218 -p1
%patch219 -p1
%patch220 -p1
%patch221 -p1
%patch222 -p1
%patch223 -p1
%patch224 -p1
%patch225 -p1
%patch226 -p1
%patch227 -p1
%patch228 -p1
%patch229 -p1
%patch230 -p1
%patch231 -p1

# delete patch leftovers from doc to silence a build check
find doc -name \*.orig -delete
cp -p %{S:10} %{S:11} .
# lib64 installation fixes
for i in Makefile.org engines/Makefile; do
sed -e 	"s+\(\$(INSTALL_PREFIX)\$(INSTALLTOP)\)/lib+\1/%_lib+g" \
    -e	"s+libdir=\$\${exec_prefix}/lib+libdir=\$\${exec_prefix}/%_lib+g" \
	$i > $i.t
	diff -u $i $i.t ||:
	mv $i.t $i
done

# stop it here if playing around with rpmbuild -bp to create a new patch:
#exit 2

echo "adding/overwriting some entries in the 'table' hash in Configure"
# $dso_scheme:$shared_target:$shared_cflag:$shared_ldflag:$shared_extension:$ranlib:$arflags
#"linux-ia64",   "gcc:-DL_ENDIAN	-DMD32_REG_T=int::-D_REENTRANT::-ldl:SIXTY_FOUR_BIT_LONG RC4_CHUNK RC4_CHAR::asm/ia64.o::::::::::		$DSO_SCHEME",
export DSO_SCHEME='dlfcn:linux-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR):'
cat <<EOF_ED | ed -s Configure 
/^);
-
i
# local configuration added from specfile
#config-string,  $cc:$cflags:$unistd:$thread_cflag:$sys_id:$lflags:$bn_ops:$cpuid_obj:$bn_obj:$des_obj:$aes_obj:$bf_obj:$md5_obj:$sha1_obj:$cast_obj:$rc4_obj:$rmd160_obj:$rc5_obj:$dso_scheme:$shared_target:$shared_cflag:$shared_ldflag:$shared_extension:$ranlib:$arflags
"linux-elf",    "gcc:-DL_ENDIAN			::-D_REENTRANT::-ldl:BN_LLONG \${x86_gcc_des} \${x86_gcc_opts}:\${x86_elf_asm}:$DSO_SCHEME",
"linux-ia64",   "gcc:-DL_ENDIAN	-DMD32_REG_T=int::-D_REENTRANT::-ldl:SIXTY_FOUR_BIT_LONG RC4_CHUNK RC4_CHAR::::::::::::		$DSO_SCHEME",
"linux-ppc",    "gcc:-DB_ENDIAN			::-D_REENTRANT::-ldl:BN_LLONG RC4_CHAR RC4_CHUNK DES_RISC1 DES_UNROLL::::::::::::		$DSO_SCHEME",
"linux-ppc64",  "gcc:-DB_ENDIAN -DMD32_REG_T=int::-D_REENTRANT::-ldl:RC4_CHAR RC4_CHUNK DES_RISC1 DES_UNROLL SIXTY_FOUR_BIT_LONG::::::::::::	$DSO_SCHEME",
"linux-elf-arm","gcc:-DL_ENDIAN			::-D_REENTRANT::-ldl:BN_LLONG::::::::::::							$DSO_SCHEME",
"linux-mips",   "gcc:-DB_ENDIAN			::-D_REENTRANT::-ldl:BN_LLONG RC4_CHAR RC4_CHUNK DES_RISC1 DES_UNROLL::::::::::::		$DSO_SCHEME",
"linux-sparcv7","gcc:-DB_ENDIAN			::-D_REENTRANT::-ldl:BN_LLONG RC4_CHAR RC4_CHUNK DES_UNROLL BF_PTR::::::::::::			$DSO_SCHEME",
"linux-sparcv8","gcc:-DB_ENDIAN -DBN_DIV2W -mv8	::-D_REENTRANT::-ldl:BN_LLONG RC4_CHAR RC4_CHUNK DES_UNROLL BF_PTR::asm/sparcv8.o::::::::::	$DSO_SCHEME",
"linux-x86_64", "gcc:-DL_ENDIAN -DMD32_REG_T=int::-D_REENTRANT::-ldl:SIXTY_FOUR_BIT_LONG RC4_CHUNK BF_PTR2:\${x86_64_asm}:			$DSO_SCHEME",
"linux-s390",   "gcc:-DB_ENDIAN			::(unknown):   :-ldl:BN_LLONG::::::::::::							$DSO_SCHEME",
"linux-s390x",  "gcc:-DB_ENDIAN -DNO_ASM -DMD32_REG_T=int::-D_REENTRANT::-ldl:SIXTY_FOUR_BIT_LONG::::::::::::					$DSO_SCHEME",
"linux-parisc",	"gcc:-DB_ENDIAN 		::-D_REENTRANT::-ldl:BN_LLONG RC4_CHAR DES_PTR DES_UNROLL DES_RISC1::::::::::::			$DSO_SCHEME",
.
wq
EOF_ED

# fix ENGINESDIR path
sed -i 's,/lib/engines,/%_lib/engines098,' Configure
# help syntax highlighting
# "

%build
./config --test-sanity 
#
config_flags="fipscanisterbuild shared threads no-rc5 no-idea enable-tlsext \
enable-camellia \
enable-cms \
zlib \
--prefix=%{_prefix} \
--openssldir=%{ssletcdir} \
$RPM_OPT_FLAGS \
-fomit-frame-pointer \
-fno-strict-aliasing \
-DTERMIO \
-Wall \
-fstack-protector "
#
%{!?do_profiling:%define do_profiling 0}
%if %do_profiling
	# generate feedback
	./config $config_flags
	make depend CC="gcc %cflags_profile_generate"
	make CC="gcc %cflags_profile_generate"
	LD_LIBRARY_PATH=`pwd` make rehash CC="gcc %cflags_profile_generate"
	LD_LIBRARY_PATH=`pwd` make test CC="gcc %cflags_profile_generate" FIPSCANLIB=""
	LD_LIBRARY_PATH=`pwd` apps/openssl speed
	make clean
	./config $config_flags %cflags_profile_feedback
%else
	./config $config_flags
%endif

make depend
make

LD_LIBRARY_PATH=`pwd` make rehash
# for FIPS mode testing; the same hashes are being created later just before
# the wrap-up of the files into the package.
# These files are just there for the make test below...
fips/fips_standalone_sha1 libcrypto.so.0.9.8 > .libcrypto.so.0.9.8.hmac
fips/fips_standalone_sha1 libssl.so.0.9.8 > .libssl.so.0.9.8.hmac

LD_LIBRARY_PATH=`pwd` make test FIPSCANLIB=""

# show settings
make TABLE
echo $RPM_OPT_FLAGS
eval $(egrep PLATFORM='[[:alnum:]]' Makefile)
grep -B1 -A22 "^\*\*\* $PLATFORM$" TABLE 

%install
mkdir -p ${RPM_BUILD_ROOT}/usr/lib	# for now
make MANDIR=%{_mandir} INSTALL_PREFIX=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/etc $RPM_BUILD_ROOT/usr/bin/* $RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/share $RPM_BUILD_ROOT/%{_libdir}/pkgconfig
rm -f $RPM_BUILD_ROOT/%{_libdir}/libssl.a $RPM_BUILD_ROOT/%{_libdir}/libcrypto.a
cp -a fips/fips_standalone_sha1 $RPM_BUILD_ROOT/usr/bin/fips_standalone_sha1

# to avoid conflict with openssl 1
mv $RPM_BUILD_ROOT/%{_libdir}/engines  $RPM_BUILD_ROOT/%{_libdir}/engines098

# install standard root certificates
#cp -pr certs/* $RPM_BUILD_ROOT/%{ssletcdir}/certs
#ln -sf ./%{name} $RPM_BUILD_ROOT/%{_includedir}/ssln -sf ./%{name} $RPM_BUILD_ROOT/%{_includedir}/ssl
#ln -sf ./openssl $RPM_BUILD_ROOT/%{_includedir}/ssl
#mv $RPM_BUILD_ROOT/%{ssletcdir}/misc $RPM_BUILD_ROOT/%{_datadir}/ssl/
# ln -s %{ssletcdir}/certs 	$RPM_BUILD_ROOT/%{_datadir}/ssl/certs
# ln -s %{ssletcdir}/private 	$RPM_BUILD_ROOT/%{_datadir}/ssl/private
# ln -s %{ssletcdir}/openssl.cnf 	$RPM_BUILD_ROOT/%{_datadir}/ssl/openssl.cnf
#
# avoid file conflicts with man pages from other packages
#
#pushd $RPM_BUILD_ROOT/%{_mandir}
# some man pages now contain spaces. This makes several scripts go havoc, among them /usr/sbin/Check.
# replace spaces by underscores
#for i in man?/*\ *; do mv -v "$i" "${i// /_}"; done

#which readlink &>/dev/null || function readlink { ( set +x; target=$(file $1 2>/dev/null); target=${target//* }; test -f $target && echo $target; ) }
#for i in man?/*; do 
#	if test -L $i ; then
#	    LDEST=`readlink $i`
#	    rm -f $i ${i}ssl
#	    ln -sf ${LDEST}ssl ${i}ssl
#	else
#	    mv $i ${i}ssl
#        fi
#	case `basename ${i%.*}` in 
#	    asn1parse|ca|config|crl|crl2pkcs7|crypto|dgst|dhparam|dsa|dsaparam|enc|gendsa|genrsa|nseq|openssl|passwd|pkcs12|pkcs7|pkcs8|rand|req|rsa|rsautl|s_client|s_server|smime|spkac|ssl|verify|version|x509)
#		# these are the pages mentioned in openssl(1). They go into the main package.
#		echo %doc %{_mandir}/${i}ssl.gz >> $OLDPWD/filelist;;
#	    *)	
#		# the rest goes into the openssl-doc package.
#		echo %doc %{_mandir}/${i}ssl.gz >> $OLDPWD/filelist.doc;;
#	esac
#done
#popd
#
# check wether some shared library has been installed
#
ls -l $RPM_BUILD_ROOT/%{_libdir}
test -f $RPM_BUILD_ROOT/%{_libdir}/libssl.so.%{num_version}
test -f $RPM_BUILD_ROOT/%{_libdir}/libcrypto.so.%{num_version}
test -L $RPM_BUILD_ROOT/%{_libdir}/libssl.so
test -L $RPM_BUILD_ROOT/%{_libdir}/libcrypto.so
#
# see what we've got
#
cat > showciphers.c <<EOF
#include <openssl/err.h>
#include <openssl/ssl.h>
void main(){
unsigned int i;
SSL_CTX *ctx;
SSL *ssl;
SSL_METHOD *meth;
  meth = SSLv2_client_method();
  SSLeay_add_ssl_algorithms();
  ctx = SSL_CTX_new(meth);
  if (ctx == NULL) return 0;
  ssl = SSL_new(ctx);
  if (!ssl) return 0;
  for (i=0; ; i++) {
    int j, k;
    SSL_CIPHER *sc;
    sc = (meth->get_cipher)(i);
    if (!sc) break;
    k = SSL_CIPHER_get_bits(sc, &j);
    printf("%s\n", sc->name);
  }
  return 0;
};
EOF
#gcc $RPM_OPT_FLAGS -I${RPM_BUILD_ROOT}%{_includedir} -c showciphers.c
#gcc -o showciphers showciphers.o -L${RPM_BUILD_ROOT}%{_libdir} -lssl -lcrypto
#LD_LIBRARY_PATH=${RPM_BUILD_ROOT}%{_libdir} ./showciphers > AVAILABLE_CIPHERS || true
#cat AVAILABLE_CIPHERS
# Do not install demo scripts executable under /usr/share/doc
find demos -type f -perm /111 -exec chmod 644 {} \;

# for now
rm -f ${RPM_BUILD_ROOT}/usr/lib/fips_premain*

# remove development stuff
rm -f ${RPM_BUILD_ROOT}/%{_libdir}/libssl.so
rm -f ${RPM_BUILD_ROOT}/%{_libdir}/libcrypto.so

# the hmac hashes:
#
# this is a hack that re-defines the __os_install_post macro
# for a simple reason: the macro strips the binaries and thereby
# invalidates a HMAC that may have been created earlier.
# solution: create the hashes _after_ the macro runs.
#
# this shows up earlier because otherwise the %expand of
# the macro is too late.
# remark: This is the same as running
#   openssl dgst -sha256 -hmac 'ppaksykemnsecgtsttplmamstKMEs'
%{expand:%%global __os_install_post {%__os_install_post

$RPM_BUILD_ROOT/usr/bin/fips_standalone_sha1 \
  $RPM_BUILD_ROOT/%{_libdir}/libssl.so.%{num_version} > \
    $RPM_BUILD_ROOT/%{_libdir}/.libssl.so.%{num_version}.hmac

$RPM_BUILD_ROOT/usr/bin/fips_standalone_sha1 \
  $RPM_BUILD_ROOT/%{_libdir}/libcrypto.so.%{num_version} > \
    $RPM_BUILD_ROOT/%{_libdir}/.libcrypto.so.%{num_version}.hmac

}}

%post -n libopenssl0_9_8 -p /sbin/ldconfig

%postun -n libopenssl0_9_8 -p /sbin/ldconfig

%files -n libopenssl0_9_8
%defattr(-, root, root)
%doc CHANGE* INSTAL*
%doc LICENSE NEWS README README.SUSE README-FIPS.txt
%{_libdir}/libssl.so.%{num_version}
%{_libdir}/libcrypto.so.%{num_version}
%{_libdir}/.libssl.so.%{num_version}.hmac
%{_libdir}/.libcrypto.so.%{num_version}.hmac
%{_bindir}/fips_standalone_sha1
%{_libdir}/engines098

%changelog
* Tue Apr 16 2019 Pedro Monreal Gonzalez <pmonrealgonzalez@suse.com>
- Fix 0-byte record padding oracle via SSL_shutdown
  (bsc#1127080, CVE-2019-1559)
  * add openssl-CVE-2019-1559.patch
* Wed Apr 10 2019 Vítězslav Čížek <vcizek@suse.com>
- Reject invalid EC point coordinates (bsc#1131291)
  * add 0001-RT-4242-reject-invalid-EC-point-coordinates.patch
* Tue Mar  5 2019 Pedro Monreal Gonzalez <pmonrealgonzalez@suse.com>
- The 9 Lives of Bleichenbacher's CAT: Cache ATtacks on TLS
  Implementations (bsc#1117951)
  * https://github.com/openssl/openssl/issues/7739
- add patches
  * openssl-Extended-OAEP-support.patch
  * openssl-rewrite-RSA-padding-checks.patch
  * openssl-add-computationally-constant-time-bn_bn2binpad.patch
  * openssl-address-Coverity-nit-in-bn2binpad.patch
  * openssl-switch-to-BN_bn2binpad.patch
  * 0001-crypto-bn-add-more-fixed-top-routines.patch
  * 0002-rsa-rsa_eay.c-implement-variant-of-Smooth-CRT-RSA.patch
  * 0003-bn-bn_blind.c-use-Montgomery-multiplication-when-pos.patch
  * 0004-bn-bn_lib.c-conceal-even-memmory-access-pattern-in-b.patch
  * 0005-err-err.c-add-err_clear_last_constant_time.patch
  * 0006-rsa-rsa_eay.c-make-RSAerr-call-in-rsa_ossl_private_d.patch
  * 0007-rsa-rsa_pk1.c-remove-memcpy-calls-from-RSA_padding_c.patch
  * 0008-rsa-rsa_oaep.c-remove-memcpy-calls-from-RSA_padding_.patch
  * 0009-rsa-rsa_ssl.c-make-RSA_padding_check_SSLv23-constant.patch
- Added required patches with backported functions bn_mul_mont_fixed_top
  and bn_mod_add_fixed_top:
  * openssl-bn_mul_mont_fixed_top.patch
  * openssl-bn_mod_add_fixed_top.patch
* Wed Nov 28 2018 Vítězslav Čížek <vcizek@suse.com>
- Add missing error string to CVE-2016-8610 fix (bsc#1110018#c9)
  * modify openssl-CVE-2016-8610.patch
* Wed Nov 14 2018 Vítězslav Čížek <vcizek@suse.com>
- Elliptic curve scalar multiplication timing attack defenses
  * fixes "PortSmash" (bsc#1113534, CVE-2018-5407)
- Add openssl-CVE-2018-5407-PortSmash.patch
* Mon Nov  5 2018 Vítězslav Čížek <vcizek@suse.com>
- OpenSSL Security Advisory [30 October 2018]
  * Timing vulnerability in DSA signature generation
    (bsc#1113652, CVE-2018-0734)
  * And more timing fixes
- Add patches:
  * openssl-CVE-2018-0734.patch
  * 0001-Merge-to-1.0.2-DSA-mod-inverse-fix.patch
  * 0001-Add-a-constant-time-flag-to-one-of-the-bignums-to-av.patch
  * 0001-DSA-Address-a-timing-side-channel-whereby-it-is-possible.patch
  * 0002-ECDSA-Address-a-timing-side-channel-whereby-it-is-possible.patch
* Thu Aug 16 2018 vcizek@suse.com
- Fix One&Done side-channel attack on RSA (bsc#1104789)
  * add openssl-One_and_Done.patch
* Mon Aug 13 2018 vcizek@suse.com
- OpenSSL Security Advisory [12 June 2018]
  * Reject excessively large primes in DH key generation
    (bsc#1097158, CVE-2018-0732)
  - add openssl-CVE-2018-0732.patch
  * blinding enhancements for ECDSA and DSA (bsc#1097624, bsc#1098592)
  - add 0001-Add-blinding-to-a-DSA-signature.patch and
    0001-Add-blinding-to-an-ECDSA-signature.patch
* Thu Aug  9 2018 vcizek@suse.com
- OpenSSL Security Advisory [16 Apr 2018]
  * Cache timing vulnerability in RSA Key Generation (CVE-2018-0737)
    (bsc#1089039)
  - add openssl-CVE-2018-0737.patch
* Tue Mar 27 2018 vcizek@suse.com
- OpenSSL Security Advisory [27 Mar 2018]
  * Constructed ASN.1 types with a recursive definition could exceed
    the stack (CVE-2018-0739) (bsc#1087102)
- add openssl-CVE-2018-0739.patch
* Mon Nov  6 2017 vcizek@suse.com
- Backport alternative chain lookup patches (bsc#1032261)
  * openssl-1.0.1i-trusted-first.patch
  * openssl-1.0.1i-alt-chains.patch
- fix crash in DES (bsc#1065363)
  * add openssl-fix_crash_in_DES.patch
* Tue Apr 18 2017 vcizek@suse.com
- backport DEFAULT_SUSE cipher list (bsc#1034941)
  * add openssl-add_DEFAULT_SUSE_cipher_list.patch
* Tue Jan 31 2017 vcizek@suse.com
- OpenSSL Security Advisory [26 Jan 2017] (bsc#1021641)
- ECSDA P-256 timing attack key recovery (bsc#1019334, CVE-2016-7056)
- remote denial of service in SSL alert handling
  (bsc#1005878, CVE-2016-8610)
- degrade 3DES to MEDIUM in SSL2 (bsc#1001912)
- fix crash in openssl speed (bsc#1000677)
- added patches:
  * openssl-CVE-2016-7056.patch
  * openssl-CVE-2016-8610.patch
  * openssl-fix_crash_in_openssl_speed.patch
  * openssl-degrade_3DES_to_MEDIUM_in_SSL2.patch
- add missing commit for CVE-2016-2108 (bsc#1004499)
  * updated openssl-CVE-2016-2108.patch
- don't attempt session resumption if no ticket is present and session
  ID length is zero (bsc#984663)
  * add openssl-no_session_resumption_without_ticket.patch
* Fri Sep 23 2016 vcizek@suse.com
- resume reading from /dev/urandom when interrupted by a signal
  (bsc#995075)
  * add openssl-randfile_fread_interrupt.patch
* Thu Sep 22 2016 vcizek@suse.com
- OpenSSL Security Advisory [22 Sep 2016] (bsc#999665)
  Severity: High
  * OCSP Status Request extension unbounded memory growth
    (CVE-2016-6304) (bsc#999666)
  Severity: Low
  * Pointer arithmetic undefined behaviour (CVE-2016-2177) (bsc#982575)
  * Constant time flag not preserved in DSA signing (CVE-2016-2178) (bsc#983249)
  * DTLS buffered message DoS (CVE-2016-2179) (bsc#994844)
  * DTLS replay protection DoS (CVE-2016-2181) (bsc#994749)
  * OOB write in BN_bn2dec() (CVE-2016-2182) (bsc#993819)
  * Birthday attack against 64-bit block ciphers (SWEET32)
    (CVE-2016-2183) (bsc#995359)
  * Malformed SHA512 ticket DoS (CVE-2016-6302) (bsc#995324)
  * OOB write in MDC2_Update() (CVE-2016-6303) (bsc#995377)
  * Certificate message OOB reads (CVE-2016-6306) (bsc#999668)
- added patches:
  * openssl-CVE-2016-2177.patch
  * openssl-CVE-2016-2178.patch
  * openssl-CVE-2016-2179.patch
  * openssl-CVE-2016-2181.patch
  * openssl-CVE-2016-2182.patch
  * openssl-CVE-2016-2183-SWEET32.patch
  * openssl-CVE-2016-6302.patch
  * openssl-CVE-2016-6303.patch
  * openssl-CVE-2016-6304.patch
  * openssl-CVE-2016-6306.patch
  * 0001-PR-2506.patch
* Thu Sep 22 2016 vcizek@suse.com
- update expired S/MIME certs (bsc#979475)
  * add openssl-update-expired-smime-certs.patch
- fix crash in print_notice (bsc#998190)
  * add openssl-print_notice-NULL_crash.patch
* Thu Apr 28 2016 vcizek@suse.com
- OpenSSL Security Advisory [3rd May 2016]
  * Memory corruption in the ASN.1 encoder
  - bsc#977617 (CVE-2016-2108)
  * EVP_EncodeUpdate overflow
  - bsc#977614 (CVE-2016-2105)
  * EVP_EncryptUpdate overflow
  - bsc#977615 (CVE-2016-2106)
  * ASN.1 BIO excessive memory allocation
  - bsc#976942 (CVE-2016-2109)
  * add patches
    + openssl-CVE-2016-2105.patch
    + openssl-CVE-2016-2106.patch
    + openssl-CVE-2016-2108.patch
    + openssl-CVE-2016-2109.patch
- Fix side channel attack on modular exponentiation
  * "CacheBleed" (bsc#968050)
  * add openssl-CVE-2016-0702.patch
- Fix buffer overrun in ASN1_parse (bsc#976943)
  * add 0001-Fix-buffer-overrun-in-ASN1_parse.patch
- Rename README.SuSE to the new spelling (bsc#889013)
* Fri Feb 26 2016 psimons@suse.com
- Fix CVE-2016-0797 (bnc#968048) via "openssl-CVE-2016-0797.patch".
  The BN_hex2bn() and BN_dec2bn() functions had a bug that could
  result in an attempt to de-reference a NULL pointer. This could
  have security consequences if these functions were ever called by
  user applications with large untrusted hex/decimal data. Also,
  internal usage of these functions in OpenSSL uses data from config
  files or application command line arguments. If user developed
  applications generated config file data based on untrusted data,
  then this could have had security consequences as well.
- Fix CVE-2016-0799 (bnc#968374) via "openssl-CVE-2016-0799.patch".
  On many 64 bit systems, the internal fmtstr() and doapr_outch()
  functions could miscalculate the length of a string and attempt to
  access out-of-bounds memory locations. These problems could have
  enabled attacks where large amounts of untrusted data is passed to
  the BIO_*printf functions. If applications use these functions in
  this way then they could have been vulnerable. OpenSSL itself uses
  these functions when printing out human-readable dumps of ASN.1
  data. Therefore applications that print this data could have been
  vulnerable if the data is from untrusted sources. OpenSSL command
  line applications could also have been vulnerable when they print
  out ASN.1 data, or if untrusted data is passed as command line
  arguments. Libssl is not considered directly vulnerable.
- Fix CVE-2016-0800 (bnc#968046, "Drown"). OpenSSL used to be
  vulnerable to a cross-protocol attack that could lead to
  decryption of TLS sessions by using a server supporting SSLv2 and
  EXPORT cipher suites as a Bleichenbacher RSA padding oracle. The
  patch "openssl-CVE-2016-0800-DROWN-disable-ssl2.patch" remedies
  this issue by disabling the SSLv2 protocol (unless the environment
  variable $OPENSSL_ALLOW_SSL2 is defined) and all weak EXPORT
  ciphers (unless $OPENSSL_ALLOW_EXPORT is defined).
* Wed Feb 24 2016 vcizek@suse.com
- avoid running OPENSSL_config twice. This avoids breaking
  engine loading. (bsc#952871, bsc#967787)
  * add openssl-avoid-config-twice.patch
* Fri Feb 12 2016 vcizek@suse.com
- fix CVE-2015-3197 (bsc#963415)
  * SSLv2 doesn't block disabled ciphers
  * add openssl-CVE-2015-3197.patch
* Fri Dec  4 2015 vcizek@suse.com
- X509_ATTRIBUTE memory leak (CVE-2015-3195) (bsc#957812)
  * added openssl-CVE-2015-3195.patch
* Fri Dec  4 2015 vcizek@suse.com
- prevent segfault in s_client with invalid options (bsc#952099)
  * added openssl-s_client-check-if-con-null-before-using-it.patch
* Wed Oct 21 2015 vcizek@suse.com
- fix an ecdh negotiation bug (bsc#947833)
  * added openssl-fix-ecdh_negotiation_bug.patch
* Tue Aug  4 2015 vcizek@suse.com
- fixed a regression caused by openssl-CVE-2015-0287.patch
  (bsc#937492)
* Mon Jun 15 2015 vcizek@suse.com
- remove libopenssl0_9_8-hmac from baselibs.conf
* Mon Jun 15 2015 vcizek@suse.com
- disable EXPORT ciphers by default (bnc#931698, comment #3)
  * added openssl-disable_EXPORT_ciphers_by_default.patch
* Fri Jun 12 2015 vcizek@suse.com
- CVE-2015-4000 (boo#931698)
  * The Logjam Attack / weakdh.org
  * reject connections with DH parameters shorter than 1024 bits
  * generates 2048-bit DH parameters by default
- CVE-2015-1788 (boo#934487)
  * Malformed ECParameters causes infinite loop
- CVE-2015-1789 (boo#934489)
  * Exploitable out-of-bounds read in X509_cmp_time
- CVE-2015-1790 (boo#934491)
  * PKCS7 crash with missing EnvelopedContent
- CVE-2015-1792 (boo#934493)
  * CMS verify infinite loop with unknown hash function
- CVE-2015-1791 (boo#933911)
  * race condition in NewSessionTicket
- CVE-2015-3216 (boo#933898)
  * Crash in ssleay_rand_bytes due to locking regression
  * modified openssl-1.0.1i-fipslocking.patch
- fix timing side channel in RSA decryption (bnc#929678)
- newly added patches:
  * 0001-s_server-Use-2048-bit-DH-parameters-by-default.patch
  * 0002-dhparam-set-the-default-to-2048-bits.patch
  * 0003-dhparam-fix-documentation.patch
  * 0004-Update-documentation-with-Diffie-Hellman-best-practi.patch
  * 0005-client-reject-handshakes-with-DH-parameters-1024-bits.patch
  * openssl-CVE-2015-1788.patch
  * openssl-CVE-2015-1789.patch
  * openssl-CVE-2015-1790.patch
  * openssl-CVE-2015-1791.patch
  * openssl-CVE-2015-1792.patch
  * openssl-RSA_premaster_secret_in_constant_time.patch
* Thu Apr 16 2015 vcizek@suse.com
- add ECC ciphersuites to DEFAULT (bnc#879179)
  * modified openssl-enable-ecdh.patch
* Mon Mar 16 2015 vcizek@suse.com
- security update:
  * CVE-2015-0209 (bnc#919648)
  - Fix a failure to NULL a pointer freed on error
  * CVE-2015-0286 (bnc#922496)
  - Segmentation fault in ASN1_TYPE_cmp
  * CVE-2015-0287 (bnc#922499)
  - ASN.1 structure reuse memory corruption
  * CVE-2015-0288 x509: (bnc#920236)
  - added missing public key is not NULL check
  * CVE-2015-0289 (bnc#922500)
  - PKCS7 NULL pointer dereferences
  * CVE-2015-0292 (bnc#922501)
  - Base64 decode
  * CVE-2015-0293 (bnc#922488)
  - Fix reachable assert in SSLv2 servers
  * added patches:
  openssl-CVE-2015-0209.patch
  openssl-CVE-2015-0286.patch
  openssl-CVE-2015-0287.patch
  openssl-CVE-2015-0288.patch
  openssl-CVE-2015-0289.patch
  openssl-CVE-2015-0292.patch
  openssl-CVE-2015-0293.patch
* Wed Feb  4 2015 vcizek@suse.com
- fix a memory leak in ssl_lib.c (CVE-2009-5146) (bnc#915976)
  * added openssl-CVE-2009-5146.patch
* Fri Jan  9 2015 vcizek@suse.com
- fix for several security vulnerabilities:
  * CVE-2014-3570 (bnc#912296)
  - Bignum squaring (BN_sqr) may produce incorrect results on some
    platforms, including x86_64.
  - added openssl-CVE-2014-3570.patch
  * CVE-2014-3571 (bnc#912294)
  - Fix crash in dtls1_get_record whilst in the listen state where
    you get two separate reads performed - one for the header and
    one for the body of the handshake record.
  - added openssl-CVE-2014-3571.patch
  * CVE-2014-3572 (bnc#912015)
  - don't accept a handshake using an ephemeral ECDH ciphersuites
    with the server key exchange message omitted.
  - added openssl-CVE-2014-3572.patch
  * CVE-2014-8275 (bnc#912018)
  - fix various certificate fingerprint issues
  - added openssl-CVE-2014-8275.patch
  * CVE-2015-0204 (bnc#912014)
  - Only allow ephemeral RSA keys in export ciphersuites
  - added openssl-CVE-2015-0204.patch
  * CVE-2015-0205 (bnc#912293)
  - OpenSSL 0.9.8j is NOT vulnerable to CVE-2015-0205 as it doesn't
    support DH certificates and this typo prohibits skipping of
    certificate verify message for sign only certificates anyway.
  - patch only fixes the wrong condition
  - added openssl-CVE-2015-0205.patch
* Wed Oct 22 2014 vcizek@suse.com
- fix regression caused by CVE-2014-0224.patch (bnc#892403)
- added patches:
  * Fix-stateless-session-resumption-so-it-can-coexist-with-SNI.patch
  * Generate-stateless-session-ID-just-after-the-ticket-is-r.patch
* Tue Oct 21 2014 vcizek@suse.com
- security fixes for bnc#901277 and bnc#901223
- NOTE: this update alone DOESN'T FIX the POODLE SSL protocol vulnerability.
  OpenSSL only adds downgrade detection support for client applications.
  See https://www.suse.com/support/kb/doc.php?id=7015773 for mitigations.
- details of the addressed vulnerabilities:
  * ) Session Ticket Memory Leak.
    When an OpenSSL SSL/TLS/DTLS server receives a session ticket the
    integrity of that ticket is first verified. In the event of a session
    ticket integrity check failing, OpenSSL will fail to free memory
    causing a memory leak. By sending a large number of invalid session
    tickets an attacker could exploit this issue in a Denial Of Service
    attack.
    (CVE-2014-3567)
  * ) Build option no-ssl3 is incomplete.
    When OpenSSL is configured with "no-ssl3" as a build option, servers
    could accept and complete a SSL 3.0 handshake, and clients could be
    configured to send them.
    (CVE-2014-3568)
  * ) Add support for TLS_FALLBACK_SCSV.
    Client applications doing fallback retries should call
    SSL_set_mode(s, SSL_MODE_SEND_FALLBACK_SCSV).
    (CVE-2014-3566)
* Mon Aug 18 2014 vcizek@suse.com
- Double Free when processing DTLS packets (CVE-2014-3505)
  * added openssl-CVE-2014-3505.patch
  * bnc#890767
- DTLS memory exhaustion (CVE-2014-3506)
  * added openssl-CVE-2014-3506.patch
  * bnc#890768
- DTLS memory leak from zero-length fragments (CVE-2014-3507)
  * added openssl-CVE-2014-3507.patch
  * bnc#890769
- Information leak in pretty printing functions (CVE-2014-3508)
  * added openssl-CVE-2014-3508.patch
  * bnc#890764
- OpenSSL DTLS anonymous EC(DH) denial of service (CVE-2014-3510)
  * added openssl-CVE-2014-3510.patch
  * bnc#890770
* Tue Jul  8 2014 meissner@suse.com
- exclusivearch for SLE11 architectures still in in SLE12
* Mon Jul  7 2014 meissner@suse.com
- compat library taken from SLE11 openssl 0.9.8j. FATE#316925
  - only the shared objects are included, no development
    headers.
  - engines directory is /usr/lib(64)/engines098
* Mon Jun  2 2014 shchang@suse.com
- Fixed bug[ bnc#880891], prevent buffer overread, by Sebastian Krahmer
  * Add patch file: prevent_buffer_overread.patch
* Mon Jun  2 2014 shchang@suse.com
- Fixed bug[ bnc#880891], multiple OpenSSL CVE issues
  Add patch files: CVE-2014-3470.patch, CVE-2014-0221.patch, CVE-2014-0224.patch
* Tue Mar 25 2014 shchang@suse.com
- Fix bug[ bnc#870192], Some libraries like libcrypto.so.0.9.8 (32bit) has the execstack flag set
  Add compile option "-Wa,--noexecstack" to make the stack non-executable
* Tue Mar 25 2014 shchang@suse.com
- Fix bug[ bnc#869945] CVE-2014-0076: openssl: Recovering OpenSSL ECDSA Nonces Using the FLUSH+RELOAD Cache Side-channel Attack
  Add file: CVE-2014-0076.patch
* Wed Feb 19 2014 shchang@suse.com
- add file: fix-pod-number.patch
* Fri Feb  7 2014 meissner@suse.com
- openssl-0.9.8b-ipv6-apps.patch: enable ipv6 in the openssl
  commandline tool. bnc#859228
* Fri Feb  7 2014 meissner@suse.com
- openssl-enable-ecdh.patch:
  Enable ECDH / ECDHE key exchanges. (already available, but
  previously disabled as it was only a draft standard).
  bnc#859924
* Fri Feb  7 2014 meissner@suse.com
- openssl-0.9.8j-c_rehash-with-openssl1.patch:
  If we have an (optional) openssl1 binary installed, use this to
  generate both openssl 0 and openssl 1 style certificate hashes.
  bnc#862181
* Thu Jan 23 2014 shchang@suse.com
- Fix bug[ bnc#860332] openssl cmdline does not check certs
  Add file: bug860332-cmdline-check-certs.patch
* Fri Mar 22 2013 shchang@suse.com
- Fix bug[ bnc#802648] CVE-2013-0169( openssl): Luck-13 issue
  Since DTLS 1.0 is based on TLS 1.1 we should never return a decryption_failed alert.
  modify patch file: CVE-2013-0169.patch
* Thu Mar 14 2013 shchang@suse.com
- Fix bug[ bnc#808942] Remove patch file: CVE-2011-4354.patch, because
  it's not affect on SLE-9/10/11
* Fri Mar  8 2013 shchang@suse.com
- Fix bug[ bnc#779952] CVE-2012-4929: avoid the openssl CRIME attack
  Modify patch file: compression_methods_switch.patch
* Thu Mar  7 2013 shchang@suse.com
- Fix bug[ bnc#733252] CVE-2011-4354: 0.9.8g 32bit leaks ECC private keys
  Add patch file: CVE-2011-4354.patch
* Tue Feb 12 2013 shchang@suse.com
- Fix bug[ bnc#802648] CVE-2013-0169( openssl): Luck-13 issue
  Add patch file: CVE-2013-0169.patch
* Fri Feb  8 2013 shchang@suse.com
- FIX BUG[ bnc#802746] CVE-2013-0166( openssl): OCSP invalid key Dos issue
  Add patch file: CVE-2013-0166.patch
* Tue Jul 10 2012 draht@suse.de
- correction of openssl-fips__0300_run*.diff: Add check with
  FIPS_mode() if FIPS was already initialized to avoid an abort
  due to FIPS_mode_set(1) twice, and to avoid a mode change by
  env or kernel cmdline back to 0 after initialization via
  FIPS_mode_set(1) from the calling app.
* Tue Jun 26 2012 meissner@suse.com
- fix bug[bnc#768097] missing parameter validity checking in
  FIPS Diffie-Hellman code. (CVE-2011-5095)
* Mon Jun 18 2012 draht@suse.de
- openssl-fips__0300_run_selftests_if_hmac_files_present.diff:
  if fips mode is given, run as usual. If fips is not on, see
  if the .hmac files are there. If not, abort the self-tests and
  continue. If yes, go through all the fips self-tests, but do
  not set FIPS mode.
- package split: new sub-package libopenssl0_9_8-hmac that contains
  the two HMAC hashes for the library binaries only.
- baselibs.conf: libopenssl0_9_8-hmac-32bit must require
  libopenssl0_9_8-32bit (exact version and release), not
  libopenssl0_9_8.
- .spec change: added FIPSCANLIB="" to make test, or SSLv3 fails
  because forbidden in FIPS mode.
- updated /usr/share/doc/packages/openssl/README-FIPS.txt with the
  information above.
- [bnc#767256]
* Thu May 24 2012 meissner@suse.de
- bug[bnc#749735] fixed a deadlock condition caused by entering a
  lock twice
* Wed May 23 2012 gjhe@suse.com
- fix bug[bnc#761838] - denial of service via cbc mode handling
  CVE-2012-2333
* Fri May 11 2012 gjhe@suse.com
- fix bug[bnc#761324] - TP-L3: enable cms feature in openssl
  backport cms's latest updates from the latest stable version 0.9.8x.
* Thu May  3 2012 gjhe@suse.com
- fix [bug#759008] - valgrind showing different output on 32/64bit
  for the same test program
* Thu May  3 2012 gjhe@suse.com
- The fix for CVE-2012-2110 did not take into account that the
  'len' argument to BUF_MEM_grow and BUF_MEM_grow_clean is an
  int in OpenSSL 0.9.8, making it still vulnerable. Fix by
  rejecting negative len parameter.
  CVE-2012-2131
* Mon Apr 23 2012 gjhe@suse.com
- fix bug[bnc#758060] - incorrect integer conversions in OpenSSL
  can result in memory corruption.
  and bug[bnc#755395] - libcrypto.so.0.9.8 requires executable stack
  CVE-2012-2110
* Tue Mar 27 2012 gjhe@suse.com
- fix bug[bnc#749735] - Memory leak when creating public keys.
* Tue Mar 27 2012 gjhe@suse.com
- fix bug[bnc#751977] - CMS and S/MIME Bleichenbacher attack
  CVE-2012-0884
* Thu Mar 22 2012 gjhe@suse.com
- fix bug[bnc#751946] - S/MIME verification may erroneously fail
  CVE-2012-1165
* Wed Mar 21 2012 gjhe@suse.com
- fix bug[bnc#749213]-Free headers after use in error message
  and bug[bnc#749210]-Symmetric crypto errors in PKCS7_decrypt
* Fri Feb 24 2012 gjhe@suse.com
- fix bug[bnc#748738] - Tolerate bad MIME headers in openssl's
  asn1 parser.
  CVE-2006-7250
* Thu Feb  9 2012 draht@suse.de
- openssl-add_sha256_sha512.diff: Add the SHA256 and SHA512 families
  to the hash algos by default to avoid explicit initialization by
  applications. [bnc#743344]
* Thu Feb  9 2012 gjhe@suse.com
- fix security bug [bnc#742821] - DTLS DoS Attack
  CVE-2012-0050
* Tue Jan 10 2012 gjhe@suse.com
- fix security bug [bnc#739719] -  various security issues
  DTLS Plaintext Recovery Attack (CVE-2011-4108)
  Double-free in Policy Checks (CVE-2011-4109)
  Uninitialized SSL 3.0 Padding (CVE-2011-4576)
  Malformed RFC 3779 Data Can Cause Assertion Failures (CVE-2011-4577)
  SGC Restart DoS Attack (CVE-2011-4619)
* Tue Dec 27 2011 dmueller@suse.de
- revert disablement of profile feedback driven optimisation, as
  it causes noticeable performance regressions
* Wed Dec  7 2011 draht@suse.de
- openssl package must require and prerequire libopenssl0_9_8 of
  same version [bnc#735199].
* Wed Dec  7 2011 draht@suse.de
- README-FIPS.txt: change occurrences of SP2 to SP1 due to release
  of package in SP1/GU.
* Thu Nov  3 2011 draht@suse.de
- /usr/share/doc/packages/openssl/README-FIPS.txt added
* Tue Nov  1 2011 draht@suse.de
- back out unused openssl-fips__0100_FPE_in_tests.diff; fixed by
  openssl-fips__0100_aes_EVP_CIPH_FLAG_FIPS_-_the_fenzke_code.diff
- openssl-fips__0220_make_hmac_path_return_value_check.diff: failure
  to construct library pathname must result in immediate termination
  in fips mode.
- openssl-fips__0222_dsa_pqver_fixes.diff: fix for failure in tests:
  format of pqgver dsa test and bignum hex output
- openssl-fips__0230_sha256_sha512_selftests.diff adds selftests for
  sha2 family sha256 and sha512.
* Thu Oct 20 2011 draht@suse.de
- openssl-fips__0210_ignore_testvectors_rsa_salt_62.diff replaced
  by openssl-fips__0211_cavs_rsa_testvector_path_adoptions.diff
  adoptions because supplied testvector format is different.
- openssl-fips__0212_cavs_dsa_missing_PQGVer.diff
  DSA CAVS test PQGVer.req must be executed.
- endianness compensation for CFB1 not needed after bitlength
  adoption; causes failure in CAVS tests. See
  openssl-fips__0200_CFB1_enable.diff
* Thu Oct  6 2011 draht@suse.de
- openssl-fips__0220_make_hmac_path_return_value_check.diff makes
  sure that fopen(3) will not receive NULL as argument.
- indentation in get_library_path(). :)
* Fri Sep 23 2011 draht@suse.de
- openssl-fips__0200_CFB1_enable.diff turns on CFB1 for CAVS tests.
- openssl-fips__0210_ignore_testvectors_rsa_salt_62.diff ignore rsa_salt_62
* Tue Sep 20 2011 gjhe@suse.com
- fix bug[bnc#716144] - VUL-0: openssl ECDH crash.
  CVE-2011-3210
* Thu Sep 15 2011 draht@suse.de
- openssl-fips__0110_aes_EVP_CIPH_FLAG_FIPS_-_the_fenzke_code.diff
  allows the AES-NI ASM optimizations to work in FIPS mode.
* Sat Aug 13 2011 dmueller@suse.de
- add baselibs.conf to sources
* Thu Aug 11 2011 draht@suse.de
- create .hmac files next to the shared libraries for FIPS mode
  integrity check.
* Tue Aug  9 2011 draht@suse.de
- re-seed the RNG via openssl-fips__0020_rng-seeding.patch
- openssl-fips__0040_use_fipscheck_internal.diff: Don't do integrity
  checks of the library by hashing portions of object code inside
  a shlib, but do a hash on the entire library.
- use a sha256, not a sha1, via
  openssl-fips__0045_fipscheck_sha1_sha256.diff
- fix build of fips/sha/fips_standalone_sha1 by linking to .o files
  that are a result of "enable ASM" above, for x86_64 and x86 only.
  Via openssl-fips__0050_fips_sha_Makefile_CPUID_OBJ.diff
- for debugging purposes included:
  openssl-fips__0080_fips_fips_c_OPENSSL_FIPS_DEBUG_FIPSCHECK_DISABLE.diff
- hmac key set to ppaksykemnsecgtsttplmamstKMEs in
  openssl-fips__0090_hmac_key_change.diff . Note: compiled into binaries.
* Tue Aug  9 2011 draht@suse.de
- enable ASM
- remove BuildRequires: openssl-fips-objectmodule and build own
  fips code. Package is now code-selfcontained.
- rename openssl-fipsmode.diff to openssl-fips__0000_fipsmode.diff
- remove fips vs asm conflict in ./Configure via
  openssl-fips__0010_enable_shared_fips_Configure.diff
* Thu Aug  4 2011 mls@suse.de
- Update to version 0.9.8j
  * support build with fips container module
  * multiple security fixes
  * enable TLS extensions by default
* Tue Jul 26 2011 gjhe@novell.com
- add a switch to AESNI implementation, the environment variable is
  OPENSSL_DISABLE_AESNI, if defined, AESNI is disabled, else AESNI
  is enabled.
* Mon Jul 18 2011 xwhu@novell.com
- fate#311769, fate#311938, optimization for AES-NI, SHA-1, RC4
* Fri Jun 10 2011 gjhe@novell.com
- Add a switch to compression methords.Switch truned on ,
  compression methods are available;Turn off, compression
  methods are not available.And this is a temporary feature,and
  may be changed by the following updates.
* Mon May 30 2011 gjhe@novell.com
- fix bug[bnc#693027].
  Add protection against ECDSA timing attacks as mentioned in the paper
  by Billy Bob Brumley and Nicola Tuveri, see:
  http://eprint.iacr.org/2011/232.pdf
  [Billy Bob Brumley and Nicola Tuveri]
* Thu Feb 10 2011 gjhe@novell.com
- fix bug [bnc#670526]
  CVE-2011-0014,OCSP stapling vulnerability
* Tue Dec  7 2010 gjhe@novell.com
- fix bug [bnc#657663]
  CVE-2010-4180
  for CVE-2010-4252,no patch is added(for the J-PAKE
  implementaion is not compiled in by default).
* Tue Nov 16 2010 gjhe@novell.com
- fix bug [bnc#651003]
  CVE-2010-3864
* Mon Sep 27 2010 gjhe@novell.com
- fix bug [bnc#608666]
* Sun Sep 26 2010 gjhe@novell.com
- fix bug [bnc#629905]
  CVE-2010-2939
* Wed Mar 31 2010 meissner@suse.de
- fixed enable-renegoation feature patch, disabled
  old patch for CVE-2009-3555. [bnc#584292]
* Thu Mar 25 2010 gjhe@novell.com
- fix security bug [bnc#590833]
  CVE-2010-0740
* Fri Mar 12 2010 gjhe@novell.com
- fix security bug [bnc#587379]
  CVE-2009-3245
* Thu Mar 11 2010 gjhe@novell.com
- fix security bug [bnc#584292]
  enable security renegotiation
  and add support for DTLS renegotiation.
* Wed Mar 10 2010 gjhe@novell.com
- fix security bug [bnc#467437]
  this patch fix both bug [bnc#467437] and bug [bnc#430141],
  and backport patch func-parm-err.patch
* Thu Feb 18 2010 rguenther@suse.de
- fix bogus inline assembly for s390x [bnc#457410, bnc#442740]
- re-enable optimization of md4 and ripemd
* Fri Jan 15 2010 gjhe@suse.de
- fix security bug [bnc#566238]
  CVE-2009-4355
* Thu Nov 12 2009 gjhe@suse.de
- fix security bug [bnc#553641]
  CVE-2009-3555
* Wed Jun 10 2009 gjhe@suse.de
- fix security bug [bnc#509031]
  CVE-2009-1386
  CVE-2009-1387
* Fri May 22 2009 gjhe@suse.de
- fix security bug [bnc#504687]
  CVE-2009-1377
  CVE-2009-1378
  CVE-2009-1379
* Wed Apr 15 2009 gjhe@suse.de
- fix security bug [bnc#489641]
  CVE-2009-0591
  CVE-2009-0590
  CVE-2009-0789
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Thu Dec 18 2008 jshi@suse.de
- fix security bug [bnc#459468]
  CVE-2008-5077
* Tue Dec  9 2008 xwhu@suse.de
- Disable optimization for s390x
* Mon Dec  8 2008 xwhu@suse.de
- Disable optimization of md4
* Mon Nov 10 2008 xwhu@suse.de
- Disable optimization of ripemd [bnc#442740]
* Tue Oct 14 2008 xwhu@suse.de
- Passing string as struct cause openssl segment-fault [bnc#430141]
* Wed Jul 16 2008 mkoenig@suse.de
- do not require openssl-certs, but rather recommend it
  to avoid dependency cycle [bnc#408865]
* Wed Jul  9 2008 mkoenig@suse.de
- remove the certs subpackage from the openssl package
  and move the CA root certificates into a package of its own
* Tue Jun 24 2008 mkoenig@suse.de
- update to version 0.9.8h
- openssl does not ship CA root certificates anymore
  keep certificates that SuSE is already shipping
- resolves bad array index (function has been removed) [bnc#356549]
- removed patches
  openssl-0.9.8g-fix_dh_for_certain_moduli.patch
  openssl-CVE-2008-0891.patch
  openssl-CVE-2008-1672.patch
* Wed May 28 2008 mkoenig@suse.de
- fix OpenSSL Server Name extension crash (CVE-2008-0891)
  and OpenSSL Omit Server Key Exchange message crash (CVE-2008-1672)
  [bnc#394317]
* Wed May 21 2008 cthiel@suse.de
- fix baselibs.conf
* Tue Apr 22 2008 mkoenig@suse.de
- add -DMD32_REG_T=int for x86_64 and ia64 [bnc#381844]
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Mon Nov  5 2007 mkoenig@suse.de
- fix Diffie-Hellman failure with certain prime lengths
* Mon Oct 22 2007 mkoenig@suse.de
- update to version 0.9.8g:
  * fix some bugs introduced with 0.9.8f
* Mon Oct 15 2007 mkoenig@suse.de
- update to version 0.9.8f:
  * fixes CVE-2007-3108, CVE-2007-5135, CVE-2007-4995
- patches merged upstream:
  openssl-0.9.8-key_length.patch
  openssl-CVE-2007-3108-bug296511
  openssl-CVE-2007-5135.patch
  openssl-gcc42.patch
  openssl-gcc42_b.patch
  openssl-s390-config.diff
* Mon Oct  1 2007 mkoenig@suse.de
- fix buffer overflow CVE-2007-5135 [#329208]
* Wed Sep  5 2007 mkoenig@suse.de
- fix another gcc 4.2 build problem [#307669]
* Fri Aug  3 2007 coolo@suse.de
- provide the version obsoleted (#293401)
* Wed Aug  1 2007 werner@suse.de
- Add patch from CVS for RSA key reconstruction vulnerability
  (CVE-2007-3108, VU#724968, bug #296511)
* Thu May 24 2007 mkoenig@suse.de
- fix build with gcc-4.2
  openssl-gcc42.patch
- do not install example scripts with executable permissions
* Sun Apr 29 2007 ro@suse.de
- adapt requires
* Fri Apr 27 2007 mkoenig@suse.de
- Do not use dots in package name
- explicitly build with gcc-4.1 because of currently unresolved
  failures with gcc-4.2
* Wed Apr 25 2007 mkoenig@suse.de
- Split/rename package to follow library packaging policy [#260219]
  New package libopenssl0.9.8 containing shared libs
  openssl-devel package renamed to libopenssl-devel
  New package openssl-certs containing certificates
- add zlib-devel to Requires of devel package
- remove old Obsoletes and Conflicts
  openssls (Last used Nov 2000)
  ssleay (Last used 6.2)
* Mon Apr 23 2007 mkoenig@suse.de
- Fix key length [#254905,#262477]
* Tue Mar  6 2007 mkoenig@suse.de
- update to version 0.9.8e:
  * patches merged upstream:
    openssl-CVE-2006-2940-fixup.patch
    openssl-0.9.8d-padlock-static.patch
* Tue Jan  9 2007 mkoenig@suse.de
- fix PadLock support [#230823]
* Thu Nov 30 2006 mkoenig@suse.de
- enable fix for CVE-2006-2940 [#223040], SWAMP-ID 7198
* Mon Nov  6 2006 poeml@suse.de
- configure with 'zlib' instead of 'zlib-dynamic'. Build with the
  latter, there are problems opening the libz when running on the
  Via Epia or vmware platforms. [#213305]
* Wed Oct  4 2006 poeml@suse.de
- add patch for the CVE-2006-2940 fix: the newly introduced limit
  on DH modulus size could lead to a crash when exerted. [#208971]
  Discovered and fixed after the 0.9.8d release.
* Fri Sep 29 2006 poeml@suse.de
- update to 0.9.8d
  * ) Introduce limits to prevent malicious keys being able to
    cause a denial of service.  (CVE-2006-2940)
  * ) Fix ASN.1 parsing of certain invalid structures that can result
    in a denial of service.  (CVE-2006-2937)
  * ) Fix buffer overflow in SSL_get_shared_ciphers() function.
    (CVE-2006-3738)
  * ) Fix SSL client code which could crash if connecting to a
    malicious SSLv2 server.  (CVE-2006-4343)
  * ) Since 0.9.8b, ciphersuite strings naming explicit ciphersuites
    match only those.  Before that, "AES256-SHA" would be interpreted
    as a pattern and match "AES128-SHA" too (since AES128-SHA got
    the same strength classification in 0.9.7h) as we currently only
    have a single AES bit in the ciphersuite description bitmap.
    That change, however, also applied to ciphersuite strings such as
    "RC4-MD5" that intentionally matched multiple ciphersuites --
    namely, SSL 2.0 ciphersuites in addition to the more common ones
    from SSL 3.0/TLS 1.0.
    So we change the selection algorithm again: Naming an explicit
    ciphersuite selects this one ciphersuite, and any other similar
    ciphersuite (same bitmap) from *other* protocol versions.
    Thus, "RC4-MD5" again will properly select both the SSL 2.0
    ciphersuite and the SSL 3.0/TLS 1.0 ciphersuite.
    Since SSL 2.0 does not have any ciphersuites for which the
    128/256 bit distinction would be relevant, this works for now.
    The proper fix will be to use different bits for AES128 and
    AES256, which would have avoided the problems from the beginning;
    however, bits are scarce, so we can only do this in a new release
    (not just a patchlevel) when we can change the SSL_CIPHER
    definition to split the single 'unsigned long mask' bitmap into
    multiple values to extend the available space.
- not in mentioned in CHANGES: patch for CVE-2006-4339 corrected
  [openssl.org #1397]
* Fri Sep  8 2006 schwab@suse.de
- Fix inverted logic.
* Wed Sep  6 2006 poeml@suse.de
- update to 0.9.8c
  Changes between 0.9.8b and 0.9.8c  [05 Sep 2006]
  * ) Avoid PKCS #1 v1.5 signature attack discovered by Daniel Bleichenbacher
    (CVE-2006-4339)  [Ben Laurie and Google Security Team]
  * ) Add AES IGE and biIGE modes.  [Ben Laurie]
  * ) Change the Unix randomness entropy gathering to use poll() when
    possible instead of select(), since the latter has some
    undesirable limitations.  [Darryl Miles via Richard Levitte and Bodo Moeller]
  * ) Disable "ECCdraft" ciphersuites more thoroughly.  Now special
    treatment in ssl/ssl_ciph.s makes sure that these ciphersuites
    cannot be implicitly activated as part of, e.g., the "AES" alias.
    However, please upgrade to OpenSSL 0.9.9[-dev] for
    non-experimental use of the ECC ciphersuites to get TLS extension
    support, which is required for curve and point format negotiation
    to avoid potential handshake problems.  [Bodo Moeller]
  * ) Disable rogue ciphersuites:
  - SSLv2 0x08 0x00 0x80 ("RC4-64-MD5")
  - SSLv3/TLSv1 0x00 0x61 ("EXP1024-RC2-CBC-MD5")
  - SSLv3/TLSv1 0x00 0x60 ("EXP1024-RC4-MD5")
    The latter two were purportedly from
    draft-ietf-tls-56-bit-ciphersuites-0[01].txt, but do not really
    appear there.
    Also deactive the remaining ciphersuites from
    draft-ietf-tls-56-bit-ciphersuites-01.txt.  These are just as
    unofficial, and the ID has long expired.  [Bodo Moeller]
  * ) Fix RSA blinding Heisenbug (problems sometimes occured on
    dual-core machines) and other potential thread-safety issues.
    [Bodo Moeller]
  * ) Add the symmetric cipher Camellia (128-bit, 192-bit, 256-bit key
    versions), which is now available for royalty-free use
    (see http://info.isl.ntt.co.jp/crypt/eng/info/chiteki.html).
    Also, add Camellia TLS ciphersuites from RFC 4132.
    To minimize changes between patchlevels in the OpenSSL 0.9.8
    series, Camellia remains excluded from compilation unless OpenSSL
    is configured with 'enable-camellia'.  [NTT]
  * ) Disable the padding bug check when compression is in use. The padding
    bug check assumes the first packet is of even length, this is not
    necessarily true if compresssion is enabled and can result in false
    positives causing handshake failure. The actual bug test is ancient
    code so it is hoped that implementations will either have fixed it by
    now or any which still have the bug do not support compression.
    [Steve Henson]
  Changes between 0.9.8a and 0.9.8b  [04 May 2006]
  * ) When applying a cipher rule check to see if string match is an explicit
    cipher suite and only match that one cipher suite if it is.  [Steve Henson]
  * ) Link in manifests for VC++ if needed.  [Austin Ziegler <halostatue@gmail.com>]
  * ) Update support for ECC-based TLS ciphersuites according to
    draft-ietf-tls-ecc-12.txt with proposed changes (but without
    TLS extensions, which are supported starting with the 0.9.9
    branch, not in the OpenSSL 0.9.8 branch).  [Douglas Stebila]
  * ) New functions EVP_CIPHER_CTX_new() and EVP_CIPHER_CTX_free() to support
    opaque EVP_CIPHER_CTX handling.  [Steve Henson]
  * ) Fixes and enhancements to zlib compression code. We now only use
    "zlib1.dll" and use the default __cdecl calling convention on Win32
    to conform with the standards mentioned here:
    http://www.zlib.net/DLL_FAQ.txt
    Static zlib linking now works on Windows and the new --with-zlib-include
  - -with-zlib-lib options to Configure can be used to supply the location
    of the headers and library. Gracefully handle case where zlib library
    can't be loaded.  [Steve Henson]
  * ) Several fixes and enhancements to the OID generation code. The old code
    sometimes allowed invalid OIDs (1.X for X >= 40 for example), couldn't
    handle numbers larger than ULONG_MAX, truncated printing and had a
    non standard OBJ_obj2txt() behaviour.  [Steve Henson]
  * ) Add support for building of engines under engine/ as shared libraries
    under VC++ build system.  [Steve Henson]
  * ) Corrected the numerous bugs in the Win32 path splitter in DSO.
    Hopefully, we will not see any false combination of paths any more.
    [Richard Levitte]
- enable Camellia cipher. There is a royalty free license to the
  patents, see http://info.isl.ntt.co.jp/crypt/eng/info/chiteki.html.
  NOTE: the license forbids patches to the cipher.
- build with zlib-dynamic and add zlib-devel to BuildRequires.
  Allows compression of data in TLS, although few application would
  actually use it since there is no standard for negotiating the
  compression method. The only one I know if is stunnel.
* Fri Jun  2 2006 poeml@suse.de
- fix built-in ENGINESDIR for 64 bit architectures. We change only
  the builtin search path for engines, not the path where engines
  are packaged. Path can be overridden with the OPENSSL_ENGINES
  environment variable. [#179094]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 mc@suse.de
- fix build problems on s390x (openssl-s390-config.diff)
- build with -fstack-protector
* Mon Nov  7 2005 dmueller@suse.de
- build with non-executable stack
* Thu Oct 20 2005 poeml@suse.de
- fix unguarded free() which can cause a segfault in the ca
  commandline app [#128655]
* Thu Oct 13 2005 poeml@suse.de
- add Geotrusts Equifax Root1 CA certificate, which needed to
  verify the authenticity of you.novell.com [#121966]
* Tue Oct 11 2005 poeml@suse.de
- update to 0.9.8a
  * ) Remove the functionality of SSL_OP_MSIE_SSLV2_RSA_PADDING
    (part of SSL_OP_ALL).  This option used to disable the
    countermeasure against man-in-the-middle protocol-version
    rollback in the SSL 2.0 server implementation, which is a bad
    idea.  (CAN-2005-2969)
  * ) Add two function to clear and return the verify parameter flags.
  * ) Keep cipherlists sorted in the source instead of sorting them at
    runtime, thus removing the need for a lock.
  * ) Avoid some small subgroup attacks in Diffie-Hellman.
  * ) Add functions for well-known primes.
  * ) Extended Windows CE support.
  * ) Initialize SSL_METHOD structures at compile time instead of during
    runtime, thus removing the need for a lock.
  * ) Make PKCS7_decrypt() work even if no certificate is supplied by
    attempting to decrypt each encrypted key in turn. Add support to
    smime utility.
* Thu Sep 29 2005 poeml@suse.de
- update to 0.9.8
  see CHANGES file or http://www.openssl.org/news/changelog.html
- adjust patches
- drop obsolete openssl-no-libc.diff
- disable libica patch until it has been ported
* Fri May 20 2005 poeml@suse.de
- update to 0.9.7g. The significant changes are:
  * ) Fixes for newer kerberos headers. NB: the casts are needed because
    the 'length' field is signed on one version and unsigned on another
    with no (?) obvious way to tell the difference, without these VC++
    complains. Also the "definition" of FAR (blank) is no longer included
    nor is the error ENOMEM. KRB5_PRIVATE has to be set to 1 to pick up
    some needed definitions.
  * ) Added support for proxy certificates according to RFC 3820.
    Because they may be a security thread to unaware applications,
    they must be explicitely allowed in run-time.  See
    docs/HOWTO/proxy_certificates.txt for further information.
* Tue May 17 2005 schwab@suse.de
- Include %%cflags_profile_generate in ${CC} since it is required for
  linking as well.
- Remove explicit reference to libc.
* Fri Apr  8 2005 poeml@suse.de
- update to 0.9.7f. The most significant changes are:
    o Several compilation issues fixed.
    o Many memory allocation failure checks added.
    o Improved comparison of X509 Name type.
    o Mandatory basic checks on certificates.
    o Performance improvements.
  (for a complete list see http://www.openssl.org/source/exp/CHANGES)
- adjust openssl-0.9.7f-ppc64.diff
- drop obsolete openssl-0.9.7d-crl-default_md.dif [#55435]
* Tue Jan  4 2005 poeml@suse.de
- update to 0.9.7e
  * ) Avoid a race condition when CRLs are checked in a multi
    threaded environment. This would happen due to the reordering
    of the revoked entries during signature checking and serial
    number lookup. Now the encoding is cached and the serial
    number sort performed under a lock.  Add new STACK function
    sk_is_sorted().
  * ) Add Delta CRL to the extension code.
  * ) Various fixes to s3_pkt.c so alerts are sent properly.
  * ) Reduce the chances of duplicate issuer name and serial numbers
    (in violation of RFC3280) using the OpenSSL certificate
    creation utilities.  This is done by creating a random 64 bit
    value for the initial serial number when a serial number file
    is created or when a self signed certificate is created using
    'openssl req -x509'. The initial serial number file is created
    using 'openssl x509 -next_serial' in CA.pl rather than being
    initialized to 1.
- remove obsolete patches
- fix openssl-0.9.7d-padlock-glue.diff and ICA patch to patch
  Makefile, not Makefile.ssl
- fixup for spaces in names of man pages not needed now
- pack /usr/bin/openssl_fips_fingerprint
- in rpm post/postun script, run /sbin/ldconfig directly (the macro
  is deprecated)
* Mon Oct 18 2004 poeml@suse.de
- don't install openssl.doxy file [#45210]
* Thu Jul 29 2004 poeml@suse.de
- apply patch from CVS to fix segfault in S/MIME encryption
  (http://cvs.openssl.org/chngview?cn=12081, regression in
  openssl-0.9.7d) [#43386]
* Mon Jul 12 2004 mludvig@suse.cz
- Updated VIA PadLock engine.
* Wed Jun 30 2004 mludvig@suse.cz
- Updated openssl-0.9.7d-padlock-engine.diff with support for
  AES192, AES256 and RNG.
* Tue Jun 15 2004 poeml@suse.de
- update IBM ICA patch to last night's version. Fixes ibmca_init()
  to reset ibmca_dso=NULL after calling DSO_free(), if the device
  driver could not be loaded. The bug lead to a segfault triggered
  by stunnel, which does autoload available engines [#41874]
- patch from CVS: make stack API more robust (return NULL for
  out-of-range indexes). Fixes another possible segfault during
  engine detection (could also triggered by stunnel)
- add patch from Michal Ludvig for VIA PadLock support
* Wed Jun  2 2004 poeml@suse.de
- add root certificate for the ICP-Brasil CA [#41546]
* Thu May 13 2004 poeml@suse.de
- add patch to use default_md for CRLs too [#40435]
* Tue May  4 2004 poeml@suse.de
- update ICA patch to apr292004 release [#39695]
* Thu Mar 18 2004 poeml@suse.de
- update to 0.9.7d
  o Security: Fix Kerberos ciphersuite SSL/TLS handshaking bug
    (CAN-2004-0112)
  o Security: Fix null-pointer assignment in do_change_cipher_spec()
    (CAN-2004-0079)
  o Allow multiple active certificates with same subject in CA index
  o Multiple X590 verification fixes
  o Speed up HMAC and other operations
- remove the hunk from openssl-0.9.6d.dif that added NO_IDEA around
  IDEA_128_CBC_WITH_MD5 in the global cipher list. Upstream now has
  OPENSSL_NO_IDEA around it
- [#36386] fixed (broken generation of EVP_BytesToKey.3ssl from the
  pod file)
- permissions of lib/pkgconfig fixed
* Wed Feb 25 2004 poeml@suse.de
- update to 0.9.7c
  * ) Fix various bugs revealed by running the NISCC test suite:
    Stop out of bounds reads in the ASN1 code when presented with
    invalid tags (CAN-2003-0543 and CAN-2003-0544).
    Free up ASN1_TYPE correctly if ANY type is invalid (CAN-2003-0545).
    If verify callback ignores invalid public key errors don't try to check
    certificate signature with the NULL public key.
  * ) New -ignore_err option in ocsp application to stop the server
    exiting on the first error in a request.
  * ) In ssl3_accept() (ssl/s3_srvr.c) only accept a client certificate
    if the server requested one: as stated in TLS 1.0 and SSL 3.0
    specifications.
  * ) In ssl3_get_client_hello() (ssl/s3_srvr.c), tolerate additional
    extra data after the compression methods not only for TLS 1.0
    but also for SSL 3.0 (as required by the specification).
  * ) Change X509_certificate_type() to mark the key as exported/exportable
    when it's 512 *bits* long, not 512 bytes.
  * ) Change AES_cbc_encrypt() so it outputs exact multiple of
    blocks during encryption.
  * ) Various fixes to base64 BIO and non blocking I/O. On write
    flushes were not handled properly if the BIO retried. On read
    data was not being buffered properly and had various logic bugs.
    This also affects blocking I/O when the data being decoded is a
    certain size.
  * ) Various S/MIME bugfixes and compatibility changes:
    output correct application/pkcs7 MIME type if
    PKCS7_NOOLDMIMETYPE is set. Tolerate some broken signatures.
    Output CR+LF for EOL if PKCS7_CRLFEOL is set (this makes opening
    of files as .eml work). Correctly handle very long lines in MIME
    parser.
- update ICA patch
  quote: This version of the engine patch has updated error handling in
  the DES/SHA code, and turns RSA blinding off for hardware
  accelerated RSA ops.
- filenames of some man pages contain spaces now. Replace them with
  underscores
- fix compiler warnings in showciphers.c
- fix permissions of /usr/%%_lib/pkgconfig
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
- remove unneeded PreRequires
* Tue Nov 18 2003 poeml@suse.de
- ditch annoying mail to root about moved locations [#31969]
* Wed Aug 13 2003 poeml@suse.de
- enable profile feedback based optimizations (except AES which
  becomes slower)
- add -fno-strict-aliasing, due to warnings about code where
  dereferencing type-punned pointers will break strict aliasing
- make a readlink function if readlink is not available
* Mon Aug  4 2003 ro@suse.de
- fixed manpages symlinks
* Wed Jul 30 2003 meissner@suse.de
- Fix Makefile to create pkgconfig file with lib64 on lib64 systems.
* Sun Jul 27 2003 poeml@suse.de
- don't explicitely strip binaries since RPM handles it, and may
  keep the stripped information somewhere
* Tue Jul 15 2003 meissner@suse.de
- -DMD32_REG_T=int for ppc64 and s390x.
* Thu Jul 10 2003 poeml@suse.de
- update ibm ICA patch to 20030708 release (libica-1.3)
* Mon May 12 2003 poeml@suse.de
- package the openssl.pc file for pkgconfig
* Wed Apr 16 2003 poeml@suse.de
- update to 0.9.7b. The most significant changes are:
  o New library section OCSP.
  o Complete rewrite of ASN1 code.
  o CRL checking in verify code and openssl utility.
  o Extension copying in 'ca' utility.
  o Flexible display options in 'ca' utility.
  o Provisional support for international characters with UTF8.
  o Support for external crypto devices ('engine') is no longer
    a separate distribution.
  o New elliptic curve library section.
  o New AES (Rijndael) library section.
  o Support for new platforms: Windows CE, Tandem OSS, A/UX, AIX 64-bit,
    Linux x86_64, Linux 64-bit on Sparc v9
  o Extended support for some platforms: VxWorks
  o Enhanced support for shared libraries.
  o Now only builds PIC code when shared library support is requested.
  o Support for pkg-config.
  o Lots of new manuals.
  o Makes symbolic links to or copies of manuals to cover all described
    functions.
  o Change DES API to clean up the namespace (some applications link also
    against libdes providing similar functions having the same name).
    Provide macros for backward compatibility (will be removed in the
    future).
  o Unify handling of cryptographic algorithms (software and engine)
    to be available via EVP routines for asymmetric and symmetric ciphers.
  o NCONF: new configuration handling routines.
  o Change API to use more 'const' modifiers to improve error checking
    and help optimizers.
  o Finally remove references to RSAref.
  o Reworked parts of the BIGNUM code.
  o Support for new engines: Broadcom ubsec, Accelerated Encryption
    Processing, IBM 4758.
  o A few new engines added in the demos area.
  o Extended and corrected OID (object identifier) table.
  o PRNG: query at more locations for a random device, automatic query for
    EGD style random sources at several locations.
  o SSL/TLS: allow optional cipher choice according to server's preference.
  o SSL/TLS: allow server to explicitly set new session ids.
  o SSL/TLS: support Kerberos cipher suites (RFC2712).
    Only supports MIT Kerberos for now.
  o SSL/TLS: allow more precise control of renegotiations and sessions.
  o SSL/TLS: add callback to retrieve SSL/TLS messages.
  o SSL/TLS: support AES cipher suites (RFC3268).
- adapt the ibmca patch
- remove openssl-nocrypt.diff, openssl's crypt() vanished
- configuration syntax has changed ($sys_id added before $lflags)
* Thu Feb 20 2003 poeml@suse.de
- update to bugfix release 0.9.6i:
  - security fix: In ssl3_get_record (ssl/s3_pkt.c), minimize
    information leaked via timing by performing a MAC computation
    even if incorrrect block cipher padding has been found.  This
    is a countermeasure against active attacks where the attacker
    has to distinguish between bad padding and a MAC verification
    error.  (CAN-2003-0078)
  - a few more small bugfixes (mainly missing assertions)
* Fri Dec  6 2002 poeml@suse.de
- update to 0.9.6h (last release in the 0.9.6 series)
  o New configuration targets for Tandem OSS and A/UX.
  o New OIDs for Microsoft attributes.
  o Better handling of SSL session caching.
  o Better comparison of distinguished names.
  o Better handling of shared libraries in a mixed GNU/non-GNU environment.
  o Support assembler code with Borland C.
  o Fixes for length problems.
  o Fixes for uninitialised variables.
  o Fixes for memory leaks, some unusual crashes and some race conditions.
  o Fixes for smaller building problems.
  o Updates of manuals, FAQ and other instructive documents.
- add a call to make depend
- fix sed expression (lib -> lib64) to replace multiple occurences
  on one line
* Mon Nov  4 2002 stepan@suse.de
- fix openssl for alpha ev56 cpus
* Thu Oct 24 2002 poeml@suse.de
- own the /usr/share/ssl directory [#20849]
- openssl-hppa-config.diff can be applied on all architectures
* Mon Sep 30 2002 bg@suse.de
- enable hppa distribution; use only pa1.1 architecture.
* Tue Sep 17 2002 froh@suse.de
- update ibm-hardware-crypto-patch to ibmca.patch-0.96e-2 (#18953)
* Mon Aug 12 2002 poeml@suse.de
- update to 0.9.6g and drop the now included ASN1 check patch.
  Other change:
  - Use proper error handling instead of 'assertions' in buffer
    overflow checks added in 0.9.6e.  This prevents DoS (the
    assertions could call abort()).
* Fri Aug  9 2002 kukuk@suse.de
- Fix requires of openssl-devel subpackage
* Tue Aug  6 2002 draht@suse.de
- Correction for changes in the ASN1 code, assembled in
  openssl-0.9.6e-cvs-20020802-asn1_lib.diff
* Wed Jul 31 2002 poeml@suse.de
- update to 0.9.6e. Major changes:
  o Various security fixes (sanity checks to asn1_get_length(),
    various remote buffer overflows)
  o new option SSL_OP_DONT_INSERT_EMPTY_FRAGMENTS, disabling the
    countermeasure against a vulnerability in the CBC ciphersuites
    in SSL 3.0/TLS 1.0 that was added in 0.9.6d which turned out to
    be incompatible with buggy SSL implementations
- update ibmca crypto hardware patch (security issues fixed)
- gcc 3.1 version detection is fixed, we can drop the patch
- move the most used man pages from the -doc to the main package
  [#9913] and resolve man page conflicts by putting them into ssl
  sections [#17239]
- spec file: use PreReq for %%post script
* Fri Jul 12 2002 poeml@suse.de
- update to 0.9.6d. Major changes:
  o Various SSL/TLS library bugfixes.
  o Fix DH parameter generation for 'non-standard' generators.
  Complete Changelog: http://www.openssl.org/news/changelog.html
- supposed to fix a session caching failure occuring with postfix
- simplify local configuration for the architectures
- there's a new config variable: $shared_ldflag
- use RPM_OPT_FLAGS in favor of predifined cflags by appending them
  at the end
- validate config data (config --check-sanity)
- resolve file conflict of /usr/share/man/man1/openssl.1.gz [#15982]
- move configuration to /etc/ssl [#14387]
- mark openssl.cnf %%config (noreplace)
* Sat Jul  6 2002 schwab@suse.de
- Include <crypt.h> to get crypt prototype.
* Fri Jul  5 2002 kukuk@suse.de
- Remove crypt prototype from des.h header file, too.
* Mon Jun 10 2002 meissner@suse.de
- enhanced ppc64 support (needs seperate config), reenabled make check
* Fri May 31 2002 olh@suse.de
- add ppc64 support, temporary disable make check
* Thu Apr 18 2002 meissner@suse.de
- fixed x86_64 build, added bc to needed_for_build (used by tests)
* Wed Apr 17 2002 ro@suse.de
- fixed gcc version determination
- drop sun4c support/always use sparcv8
- ignore return code from showciphers
* Fri Mar 15 2002 poeml@suse.de
- add settings for sparc to build shared objects. Note that all
  sparcs (sun4[mdu]) are recognized as linux-sparcv7
* Wed Feb  6 2002 kukuk@suse.de
- Remove crypt function from libcrypto.so.0 [Bug #13056]
* Sun Feb  3 2002 poeml@suse.de
- add settings for mips to build shared objects
- print out all settings to the build log
* Tue Jan 29 2002 poeml@suse.de
- update to 0.9.6c:
  o bug fixes
  o support for hardware crypto devices (Cryptographic Appliances,
  Broadcom, and Accelerated Encryption Processing)
- add IBMCA patch for IBM eServer Cryptographic Accelerator Device
  Driver (#12565) (forward ported from 0.9.6b)
  (http://www-124.ibm.com/developerworks/projects/libica/)
- tell Configure how to build shared libs for s390 and s390x
- tweak Makefile.org to use %%_libdir
- clean up spec file
- add README.SuSE as source file instead of in a patch
* Wed Dec  5 2001 uli@suse.de
- disabled "make test" for ARM (destest segfaults, the other tests
  seem to succeed)
* Wed Dec  5 2001 ro@suse.de
- removed subpackage src
* Wed Nov 28 2001 uli@suse.de
- needs -ldl on ARM, too
* Mon Nov 19 2001 mls@suse.de
- made mips big endian, fixed shared library creation for mips
* Fri Aug 31 2001 rolf@suse.de
- added root certificates [BUG#9913]
- move from /usr/ssh to /usr/share/ssl
* Wed Jul 18 2001 rolf@suse.de
- update to 0.9.6b
- switch to engine version of openssl, which supports hardware
  encryption for a few popular devices
- check wether shared libraries have been generated
* Thu Jul  5 2001 rolf@suse.de
- appliy PRNG security patch
* Tue Jun 12 2001 bk@suse.de
- added support for s390x
* Mon May  7 2001 kukuk@suse.de
- Fix building of shared libraries on SPARC, too.
* Mon May  7 2001 rolf@suse.de
- Fix ppc and s390 shared library builds
- resolved conflict in manpage naming:
  rand.3 is now sslrand.3 [BUG#7643]
* Tue May  1 2001 schwab@suse.de
- Fix ia64 configuration.
- Fix link command.
* Thu Apr 26 2001 bjacke@suse.de
- updated to 0.96a
* Wed Apr 18 2001 kkaempf@suse.de
- provide .so files in -devel package only
* Tue Apr 17 2001 bjacke@suse.de
- resolve file name conflict (#6966)
* Wed Mar 21 2001 rolf@suse.de
- new subpackage openssl-src [BUG#6383]
- added README.SuSE which explains where to find the man pages [BUG#6717]
* Fri Dec 15 2000 sf@suse.de
- changed CFLAG to -O1 to make the tests run successfully
* Mon Dec 11 2000 rolf@suse.de
- build openssl with no-idea and no-rc5 to meet US & RSA regulations
- build with -fPIC on all platforms (especially IA64)
* Wed Nov 22 2000 rolf@suse.de
- rename openssls to openssl-devel and add shared libs and header files
- new subpackge openssl-doc for manpages and documentation
- use BuildRoot
* Fri Oct 27 2000 schwab@suse.de
- Add link-time links for libcrypto and libssl.
- Make sure that LD_LIBRARY_PATH is passed down to sub-makes.
* Mon Oct  2 2000 rolf@suse.de
- update to 0.9.6
* Mon Apr 10 2000 bk@suse.de
- fix support for s390-linux
* Mon Apr 10 2000 rolf@suse.de
- new version 0.9.5a
* Sun Apr  9 2000 bk@suse.de
- add support for s390-linux
* Mon Mar 27 2000 kukuk@suse.de
- Use sparcv7 for SPARC
* Wed Mar  1 2000 rolf@suse.de
- move manpages back, as too many conflict with system manuals
* Wed Mar  1 2000 rolf@suse.de
- move manpages to %%{_mandir}
- include static libraries
* Wed Mar  1 2000 bk@suse.de
- added subpackage source openssls, needed for ppp_ssl
* Tue Feb 29 2000 rolf@suse.de
- new version 0.9.5
* Thu Feb 24 2000 schwab@suse.de
- add support for ia64-linux
* Mon Jan 31 2000 kukuk@suse.de
- Create and add libcrypto.so.0 and libssl.so.0
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep  1 1999 rolf@suse.de
- new version 0.9.4
* Wed May 26 1999 rolf@suse.de
- new version 0.9.3 with new layout
- alpha asm disabled by default now, no patch needed
* Thu May 20 1999 ro@suse.de
- disable asm for alpha: seems incomplete
* Mon May 17 1999 rolf@suse.de
- don't use -DNO_IDEA
* Wed May 12 1999 rolf@suse.de
- first version 0.9.2b
